package domain


type AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest struct {
    /*
        渠道店ID     */
    ShopId  *string `json:"shop_id,omitempty" `

    /*
        配送地址经纬度     */
    Geo  *string `json:"geo,omitempty" `

    /*
        CartScene = 购物车场景 / PostOrderScene = 进入支付场景     */
    Scene  *string `json:"scene,omitempty" `

    /*
        选择时间片日期, PostOrderScene场景必填     */
    TimeSliceDate  *string `json:"time_slice_date,omitempty" `

    /*
        选择时间片时间段, PostOrderScene场景必填     */
    TimeSlice  *string `json:"time_slice,omitempty" `

    /*
        购买商品列表     */
    SkuList  *[]AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo `json:"sku_list,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest) SetShopId(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest {
    s.ShopId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest) SetGeo(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest {
    s.Geo = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest) SetScene(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest {
    s.Scene = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest) SetTimeSliceDate(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest {
    s.TimeSliceDate = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest) SetTimeSlice(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest {
    s.TimeSlice = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest) SetSkuList(v []AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckRequest {
    s.SkuList = &v
    return s
}
